Name:		qubes-dom0-meta-packages
Version:	4.1.10
Release:	1%{?dist}
Summary:	Meta packages for Qubes-specific components
BuildArch:  noarch

Group:		System Environment/Base
License:	GPLv2+
URL:		https://www.qubes-os.org/

Conflicts:  qubes-release < 4.1-0.26
Source0: %{name}-%{version}.tar.gz

%description
Meta packages for easy maintenance of installed Qubes OS specific packages.

%package -n qubes-repo-contrib
Summary: Repository definition for packages contributed to Qubes OS

%description -n qubes-repo-contrib
Contrib repository contains packages written/adopted specifically for Qubes,
not available in upstream repositories.

%prep
%setup -q

%build

%install
# comps file
install -d -m 755 $RPM_BUILD_ROOT/usr/share/qubes
install -m 644 comps/comps-dom0.xml $RPM_BUILD_ROOT/usr/share/qubes/qubes-comps.xml

# contrib repo
make -C repos install-dom0 DESTDIR=$RPM_BUILD_ROOT

%files
/usr/share/qubes/qubes-comps.xml

%files -n qubes-repo-contrib
%config(noreplace) /etc/yum.repos.d/qubes-contrib-dom0-r4.1.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib-fedora
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-fedora

%changelog
* Tue Jul 28 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-meta-packages.git

* Tue Jul 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 009f0db
- version 4.1.10

* Sat Jul 18 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 42fe5bb
- comps: add xfce4-settings-qubes

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8769903
- version 4.1.9

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ee8a3e6
- rpm: Add C: qubes-release < 4.1-0.26

* Wed Jul 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3254c86
- dom0: include qubes-dom0-meta-packages in comps file for dom0

* Fri Jul 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 137c990
- Update travis

* Fri Jul 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a85bd60
- Add comps-dom0.xml and comps-vm.xml

* Wed Jun 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0451222
- debian: sync with spec file and add guivm pkg

* Mon May 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 74abfe6
- version 4.1.8

* Thu Apr 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 02cf80d
- rpm: do not depend on python*-imgconverter directly

* Sat Apr 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e7147d5
- version 4.1.7

* Thu Apr 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6432061
- Replace mate notification daemon by xfce4 one

* Thu Apr 02 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2cfa56f
- spec: use python3 package for qubesimgconverter

* Wed Apr 01 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0876bee
- vm: make xen-qubes-vm obsolete for R4.0->R4.1 migration

* Fri Mar 20 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 42aa031
- version 4.1.6

* Tue Mar 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a154a68
- contrib: fix debian repo file

* Tue Mar 10 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - abf2ca3
- Don't hardcode dom0 Fedora releasever

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 27b9140
- travis: switch to dom0 Fedora 31

* Sat Nov 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 69448b0
- version 4.1.5

* Thu Nov 14 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a18ab05
- guivm: fix package name and ensure Xorg too

* Wed Nov 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5c07257
- version 4.1.4

* Wed Nov 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 817fcd6
- vm: add guivm metapackages

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ae66b10
- travis: switch to bionic

* Sun Sep 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0755bce
- version 4.1.3

* Sun Sep 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f9e116e
- version 4.1.2

* Sat Sep 28 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e38e230
- Add dist suffix to keys

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c117e2f
- travis: drop jessie and stretch

* Sat Sep 28 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0ca6669
- Add dom0 meta-package spec file for contrib repo

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 084e1f9
- travis: switch to xenial, update distributions, switch to R4.1

* Sat Sep 28 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8fe2566
- Add QubesOS-contrib signing keys and update repo files

* Tue Feb 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 45d4bb1
- version 4.1.1

* Tue Feb 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ff583ea
- debian: update file list

* Tue Feb 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ffb7f5
- Update contrib repositories to R4.1

* Tue Feb 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d2a2102
- version 4.1.0

* Tue Feb 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed6687b
- travis: update to R4.1

* Tue Feb 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9907763
- version 4.0.5

* Sun Jan 27 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5b0bed4
- Use Fedora upstream xen-runtime inside VM

* Sun Dec 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1c7df37
- debian: use gpg --dearmor instead of gpg --import

* Sun Dec 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83e1cf0
- debian: add Build-Depends: gnupg

* Wed Oct 24 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78d8065
- version 4.0.4

* Sat Sep 22 2018 unman <unman@thirdeyesecurity.org> - 5b2319d
- Provide basic Build-depends for Debian build of meta-packages

* Thu Sep 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 63c219d
- version 4.0.3

* Wed Aug 29 2018 unman <unman@thirdeyesecurity.org> - 48d2edb
- Include qubes-usb-proxy within qubes-recommended

* Thu May 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b4c2f5
- version 4.0.2

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b60b645
- travis: update fedora versions

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - a869367
- spec.in: add changelog placeholder

* Sun Mar 18 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 16d5707
- Create .spec.in and Source0

* Thu Jan 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed966bb
- version 4.0.1

* Tue Jan 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4c3036f
- Add python2-qubesimgconverter for qubes-img-converter

* Sat Jun 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4600cca
- version 4.0.0

